pbmpscale(12 Dec 1990)

NAME
pbmpscale - enlarge a portable bitmap with edge smoothing

SYNOPSIS
pbmpscale N [ pbmfile ]

DESCRIPTION
Reads a portable bitmap as input, and outputs a portable bitmap enlarged N times. Enlargement is done by pixel replication, with some additional smoothing of corners and edges.

SEE ALSO
pnmenlarge(1), ppmscale(1), pbm(5)

AUTHOR
Copyright (C) 1990 by Angus Duggan Copyright (C) 1989 by Jef Poskanzer. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. This software is provided "as is" without express or implied warranty.

NOTES
pbmpscale works best for enlargements of 2. Enlargements greater than 2 should be done by as many enlargements of 2 as possible, followed by an enlargement by the remaining factor.